%define 	docdir              %{_docdir}
%define 	icewm_docroot       %{docdir}/%{name}-%{version}

Summary:	ICEWM %{version} is a window manager.
Name:		icewm
Version:	1.2.38
Release:	20100415
Group:		contribs
License:	GPL
URL:		http://www.icewm.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Source0:	%{name}-1.2.tar.bz2
Source1:        %{name}-themes.tar.bz2
Source2:	keys
Source3:	menu
Source4:	preferences
Source5:	toolbar
Source6:	theme
Source7:	winoptions
Source8:	alinux2icewm.pl
Source9:	.icewmcp_icons
Patch0:		icesound.cc.diff
Patch1:		yprefs.h.diff
BuildRequires:	sgml-tools sgml-common openjade docbook-dtds docbook-utils OpenSP OpenSP-devel

%description
Stable:
cvs -z3 -d:pserver:anonymous@icewm.cvs.sourceforge.net:/cvsroot/icewm co -r icewm-1_2_mnt icewm-1.2

Unstable:
cvs -z3 -d:pserver:anonymous@icewm.cvs.sourceforge.net:/cvsroot/icewm co icewm-1.2

Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small. The name was 
decided on a very hot day... (and Marko started writing it in winter ;-) Look 
and Feel... The aim of IceWM is to have good 'Feel' and decent 'Look'. 'Feel' 
is much more important than 'Look' ...   To get IceFX sounds working, add  to 
/etc/X11/xinit/xinitrc; or $HOME/.xinitrc:

# ICE Window Manager 
/usr/bin/gkrellm &
/usr/bin/xscreensaver -nosplash &
icesound -i esd &
icewmbg &
icewm

This Window Manager will be updated regularly:

o  Add-ons
o  Enhancements
o  Themes, etc ...

%package        themes
Summary:        %{name} themes
Group:          X11

%description    themes
%{name} themes

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-1.2
%patch0 -p0
%patch1 -p0

%build
autoreconf -i -f
%configure \
        --disable-debug \
        --enable-gnome \
	--enable-menus-gnome2 \
	--enable-kde \
	--disable-lite \
        --enable-nls \
        --enable-i18n \
	--without-included-gettext \
	--enable-prefs \
	--enable-keyconf \
	--enable-menuconf \
	--enable-winoptions \
	--enable-taskbar \
	--enable-winmenu \
	--enable-x \
	--with-docdir=%{docdir} \
	--with-icesound=ESound,OSS,Y \
	--with-esd-config=/usr/bin/esd-config \
	--with-mkfontdir=/usr/X11/bin \
	--enable-xfreetype \
	--enable-antialiasing \
	--enable-movesize-fx \
	--enable-shape \
	--enable-shaped-decorations \
	--enable-corefonts \
	--enable-gradients \
	--with-imlib \
	--enable-guievents \
	--enable-sm \
	--enable-xpm \
	--enable-xft \
	--enable-xrender \
	--enable-wm-session \
        --enable-xinerama
make all

%install
rm -rf $RPM_BUILD_ROOT
cp %name.lsm.in %name.lsm
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-base
make DESTDIR=$RPM_BUILD_ROOT install-docs
make DESTDIR=$RPM_BUILD_ROOT install-nls; mv $RPM_BUILD_ROOT/usr/share/locale/en $RPM_BUILD_ROOT/usr/share/locale/en_CA
mkdir -p $RPM_BUILD_ROOT/{root/.icewm,etc/skel/.icewm}
cp %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} $RPM_BUILD_ROOT/usr/share/icewm
cp %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} $RPM_BUILD_ROOT/etc/skel/.icewm
cp %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} $RPM_BUILD_ROOT/root/.icewm
cp %{SOURCE9} $RPM_BUILD_ROOT/etc/skel
cp %{SOURCE9} $RPM_BUILD_ROOT/root
cp %{SOURCE8} $RPM_BUILD_ROOT/usr/bin
tar xjpf %{SOURCE1} -C $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/share/icewm/themes $RPM_BUILD_ROOT; mkdir -p $RPM_BUILD_ROOT/usr/share/icewm/themes
mv $RPM_BUILD_ROOT/themes/xp-new $RPM_BUILD_ROOT/usr/share/icewm/themes
rm $RPM_BUILD_ROOT%{docdir}/%{name}-%{version}pre2/%name.lsm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc
/root
/usr

%files themes
/themes
